/**
 * apeman template of readme files.
 * @memberof module:apeman-tmpl-readme/lib
 * @function load
 * @param {object} params - Template params.
 * @param {string} params.pkg - Package data.
 * @param {string} [mode='644'] - File permission.
 * @param {boolean} [force=false] - Override or not.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const assert = require('assert')
const fs = require('fs')

/** @lends load */
function load (params, mode = '644', force = false) {
  let { pkg } = params

  assert(pkg, 'params.pkg is required.')

  return {
    force,
    mode,
    tmpl: fs.readFileSync(__dirname + '/../asset/tmpl.hbs').toString(),
    data: {
      pkg,
      params
    }
  }
}

module.exports = load
